1. Translation
AboAI
English
  • 中文
  • English
  • Home Page
  • AboAi-API
    • Model
      • Native OpenAI Format
      • Native Gemini Format
    • Chat
      • Native OpenAI Format
      • Native Gemini Format
      • Native Claude Format
      • Responses Request (openai)
    • Audio
      • Native OpenAI Format TTS
      • Native Gemini Format TTS
    • Images
      • Native OpenAI Format Image Generation
      • Native Gemini Format Image Generation
      • Native OpenAI Format Image Editing (JSON)
      • Native OpenAI Format Image Editing (Multipart)
    • Video
      • Seedance2.0 format
        • Create Video Generation Task
        • Query Video Generation Task Status
    • Vector
      • Embeddings
        • Create Embedding
    • Translation
      • Speech Translation
        POST
  • AI application
    • AboAI API Integration with Claude Code
    • AboAI API Integration with Cursor
    • AboAI API Integration with Codex-cli
    • AboAI API Integration with Codex Desktop
    • AboAI API Integration with Hermes Agent
  1. Translation

Speech Translation

POST
/v1/translate

Translation LLM#

Translation LLM is a newly launched top-quality LLM architecture translation product by Google. While balancing reasonable response latency, it achieves industry-leading translation capabilities. Its operating speed is improved by about 3 times compared to Gemini 2.0 Flash, efficiently balancing translation speed and accuracy.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aboai.ai/v1/translate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "cloud-translate-text",
    "targetLanguageCode": "en",
    "contents": [
        "你电话号码好多?"
    ],
    "mimeType": "text/plain"
}'
Response Response Example
{
    "translatedTexts": [
        "Do you have a lot of phone numbers?"
    ],
    "detectedSourceLanguage": "zh",
    "characterCount": 8,
    "model": "projects/ope-aiteam-hk-05/locations/us-central1/models/general/translation-llm"
}
Modified at 2026-06-16 07:29:55
Previous
Create Embedding
Next
AboAI API Integration with Claude Code
Built with